local _, ns = ...

local addon = LibStub('AceAddon-3.0'):GetAddon('AdiBags')
local L = setmetatable({}, {__index = addon.L})

local setConduitsFilter = addon:RegisterFilter("Conduits", 100, 'ABEvent-1.0')
setConduitsFilter.uiName = 'Conduits'
setConduitsFilter.uiDesc = 'Put conduit items in their own sections.'

function setConduitsFilter:OnInitialize()
    self.db = addon.db:RegisterNamespace('Conduits', {
        profile = { enable = true },
        char = {  },
    })
end

function setConduitsFilter:OnEnable()
    addon:UpdateFilters()
end

function setConduitsFilter:OnDisable()
    addon:UpdateFilters()
end

function setConduitsFilter:Filter(slotData)
    local itemLocation = ItemLocation:CreateFromBagAndSlot(slotData.bag, slotData.slot)
    if itemLocation and self.db.profile.enable and C_Item.IsItemConduit(itemLocation) then
        return "Conduits"
    end
end

local setAnimaFilter = addon:RegisterFilter("Anima", 100, 'ABEvent-1.0')
setAnimaFilter.uiName = 'Anima'
setAnimaFilter.uiDesc = 'Put anima items in their own sections.'

function setAnimaFilter:OnInitialize()
    self.db = addon.db:RegisterNamespace('Anima', {
        profile = { enable = true },
        char = {  },
    })
end

function setAnimaFilter:OnEnable()
    addon:UpdateFilters()
end

function setAnimaFilter:OnDisable()
    addon:UpdateFilters()
end

function setAnimaFilter:Filter(slotData)
    local itemLocation = ItemLocation:CreateFromBagAndSlot(slotData.bag, slotData.slot)
    if itemLocation and self.db.profile.enable and C_Item.IsAnimaItemByID(C_Item.GetItemID(itemLocation)) then
        return "Anima"
    end
end